import { BindingProperties, OptionValue, ComponentDescriptor, AttributesMap, BaseUIComponent } from '@ngx-dynamic-components/core';
export declare class SelectComponent extends BaseUIComponent<SelectProperties> {
    onSelect(): void;
    emitEvent(prop: string, param?: any): void;
    get selectStyles(): AttributesMap;
    get options(): OptionValue[];
}
export declare class SelectProperties extends BindingProperties {
    itemsSource: string | OptionValue[];
    selectHeight?: string;
    /** @deprecated */
    onSelect?: string;
    placeholder?: string;
    bindLabel?: string;
    bindValue?: string;
    multiple: boolean;
    add?: string;
    blur?: string;
    change?: string;
    close?: string;
    clear?: string;
    focus?: string;
    search?: string;
    open?: string;
    remove?: string;
    scroll?: string;
    scrollToEnd?: string;
}
declare type SelectComponentConstrutor = new () => SelectComponent;
declare type SelectPropertiesConstrutor = new () => SelectProperties;
export declare const selectDescriptor: ComponentDescriptor<SelectComponentConstrutor, SelectPropertiesConstrutor>;
export {};
